# Copyright (c) 2007 Herbert Graeber
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to herbert@links2linux.de

# norootforbuild

Name:           trac
Version:        0.10.5
Release:        3.3
Summary:        Integrated scm, wiki, issue tracker and project environment
Summary(de):    Eine integrierte SCM-, Wiki-, Bugtracker- und Projektumgebung
Group:          Development/Libraries
License:        Modified BSD
URL:            http://trac.edgewall.com
Source0:        http://ftp.edgewall.com/pub/trac/%{name}-%{version}.tar.gz
Source1:	tracd.init
Source2:	tracd.sysconfig
Source3:	trac.conf
Source4:	README.SUSE.html
Source5:        trac.ini
Patch0:         trac-ini-location.patch
Patch1:         trac-auth.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq
PreReq:         %fillup_prereq
%py_requires
Requires:       subversion-python
Requires:       python-devel
Requires:       python-clearsilver
BuildRequires:  subversion-python
BuildRequires:  python-devel
BuildRequires:  python-clearsilver
BuildRequires:  sqlite
BuildRequires:	apache2
%if %{suse_version} <= 1020
Requires:       python-sqlite
BuildRequires:  python-sqlite
%endif

%description
Trac is a minimalistic web-based software project management and bug/issue
tracking system. It provides an interface to the Subversion revision control
systems, an integrated wiki, flexible issue tracking and convenient report
facilities.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp %{S:4} .

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --quiet --root %{buildroot} --prefix %{_prefix}
install -D -m 0755 %{S:1} %{buildroot}/etc/init.d/tracd
install -d -m 0755 %{buildroot}/usr/sbin
ln -s ../../etc/init.d/tracd %{buildroot}/usr/sbin/rctracd
install -D -m 0700 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.tracd
install -d -m 0755 %{buildroot}/srv/trac
install -D -m 0644 %{S:3} %{buildroot}/etc/apache2/conf.d/trac.conf
install -D %{S:5} %{buildroot}%{_sysconfdir}/trac/trac.ini

%pre
# save the trac.ini from /usr/share/trac/conf if it exists...
if [ "$1" -ge 2 ]; then
  if [ \! -e %{_sysconfdir}/trac/trac.ini -a -r %{_datadir}/trac/conf/trac.ini ]; then
    if [ \! -e %{_sysconfdir}/trac ]; then mkdir %{_sysconfdir}/trac; fi
    mv %{_datadir}/trac/conf/trac.ini %{_sysconfdir}/trac/trac.ini.backup
  fi
fi

%preun
%stop_on_removal tracd

%postun
%restart_on_update tracd
%insserv_cleanup

%post
# ... and save it as new try.ini in /etc/trac.ini if this doesn't exist
if [ "$1" -ge 2 ]; then
  if [ -r %{_sysconfdir}/trac/trac.ini.backup ]; then
    mv %{_sysconfdir}/trac/trac.ini %{_sysconfdir}/trac/trac.ini.rpmnew
    mv %{_sysconfdir}/trac/trac.ini.backup %{_sysconfdir}/trac/trac.ini
  fi
fi
%{fillup_only -n tracd}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README README.tracd README.SUSE.html RELEASE THANKS UPGRADE contrib
%{_bindir}/*
%{_datadir}/trac
%dir %{_sysconfdir}/trac
%config(noreplace) %{_sysconfdir}/trac/trac.ini
%{py_sitedir}/trac
%if 0%{suse_version} > 1010
%{py_sitedir}/trac-%{version}-py%{py_ver}.egg-info
%endif
/usr/share/man/man1/*
%attr(-,wwwrun,www) /srv/trac
/etc/init.d/tracd
/usr/sbin/rctracd
/var/adm/fillup-templates/sysconfig.tracd
%config(noreplace) /etc/apache2/conf.d/trac.conf

%changelog
* Mon Aug 04 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 0.10.5
 - Fixes a cross-site redirection vulnerability in the quickjump function reported by Russ McRee?.
 - Fixes a wiki engine XSS vulnerability found by Nathan Collins.
 - Added PostgreSQL 8.3 support.
 - Fixes FineGrainedPermissions for scoped repositories.
 - Fixes problem with repository syncing raising exceptions.

* Sun Dec 2 2007 Herbert Graeber <herbert@graeber-clan.de>
- Fixed location of trac.ini in siteconfig.py

* Sat Dec 1 2007 Herbert Graeber <herbert@graeber-clan.de>
- Moved the trac.ini file into /etc/trac. Try to relocate it from /usr/share/trac/conf
  if possible. [#343646]
- Make the trac_auth domain configurable [#344775]

* Sat Nov 24 2007 Herbert Graeber <herbert@graeber-clan.de>
- no reqirement for python-sqlite in openSUSE 10.3

* Fri Nov 23 2007 Herbert Graeber <herbert@graeber-clan.de>
- Fixed generation of siteconfig.py
- Marked trac.conf with noreplace flag
- Added an example trac.ini 

* Tue Nov 20 2007 Herbert Graeber <herbert@graeber-clan.de>
- Added "PythonInterpreter main_interpreter" to trac.conf as suggested
  by http://trac.edgewall.org/wiki/TracModPython (Fixes #343045)

* Thu Jun 7 2007 Herbert Graeber <herbert@graeber-clan.de>
- Fixed some wrong paths and typos in README.SUSE.html

* Sun Apr 22 2007 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.10.4
  * Repository cache improvements: 
    More robust repository cache synchronizing
    Improved trac-admin resync command
  * Fix a possible freeze under heavy load
  * Improved MySQL support 
  * Better documentation for MySQL support (see MySqlDb) 
  * Slightly improved key size for the revision index, but the limitation is still there
  * Several other minor fixes

* Thu Mar 08 2007 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.10.3.1 (Major security fixes)

* Mon Mar 5 2007 Herbert Graeber <herbert@graeber-clan.de>
- no requirement of python-sqlite for openSUSE > 10.2 (already part of python 2.5).

* Wed Jan 31 2007 Herbert Graeber <herbert@graeber-clan.de>
- fixed wrong -q option in /etc/init.d/tracd

* Tue Dec 12 2006 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.10.3

* Mon Nov 14 2006 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.10.2 (security fix)

* Wed Nov 09 2006 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.10.1 (security fix)

* Tue Oct 03 2006 Herbert Graeber <herbert@graeber-clan.de>
- make it python 2.5 compatible

* Mon Oct 02 2006 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.10
- migrated into the SUSE build service

* Fri Jul 07 2006 Herbert Graeber <herbert@graeber-clan.de>
- added python-devel to requirements (needed for plugins)

* Thu Jul 06 2006 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.9.6

* Fri Apr 21 2006 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.9.5

* Thu Apr 13 2006 Herbert Graeber <herbert@graeber-clan.de>
- added a --prefix to installation (for SUSE 10.1)

* Thu Feb 26 2006 Herbert Graeber <herbert@graeber-clan.de>
- update to version 0.9.4 

* Wed Feb 08 2006 Herbert Graeber <herbert@graeber-clan.de>
- initial version (not published)
